/* ADG - Automatic Drawing Generation
 * Copyright (C) 2007,2008,2009,2010,2011,2012,2013  Nicola Fontana <ntd at entidi.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */


#ifndef __ADG_H__
#define __ADG_H__

#include <cairo-gobject.h>
#include <cpml.h>

#include "adg/adg-forward-declarations.h"
#include "adg/adg-enums.h"
#include "adg/adg-utils.h"
#include "adg/adg-matrix.h"
#include "adg/adg-entity.h"
#include "adg/adg-model.h"
#include "adg/adg-trail.h"
#include "adg/adg-path.h"
#include "adg/adg-edges.h"
#include "adg/adg-point.h"
#include "adg/adg-marker.h"
#include "adg/adg-dash.h"
#include "adg/adg-style.h"
#include "adg/adg-color-style.h"
#include "adg/adg-line-style.h"
#include "adg/adg-font-style.h"
#include "adg/adg-table-style.h"
#include "adg/adg-dim-style.h"
#include "adg/adg-fill-style.h"
#include "adg/adg-ruled-fill.h"
#include "adg/adg-dress.h"
#include "adg/adg-stroke.h"
#include "adg/adg-hatch.h"
#include "adg/adg-textual.h"
#include "adg/adg-toy-text.h"
#include "adg/adg-logo.h"
#include "adg/adg-projection.h"
#include "adg/adg-container.h"
#include "adg/adg-alignment.h"
#include "adg/adg-table.h"
#include "adg/adg-title-block.h"
#include "adg/adg-arrow.h"
#include "adg/adg-dim.h"
#include "adg/adg-ldim.h"
#include "adg/adg-rdim.h"
#include "adg/adg-adim.h"
#include "adg/adg-canvas.h"

#include <pango/pango.h>
#include "adg/adg-text.h"
#include "adg/adg-pango-style.h"

#include <gtk/gtk.h>
#include "adg/adg-gtk-utils.h"
#include "adg/adg-gtk-area.h"
#include "adg/adg-gtk-layout.h"


#endif /* __ADG_H__ */
